## jack-stdio 1.4

=== Makefile ===
# override e.g. `make install PREFIX=/usr`
PREFIX ?= /usr/local

CFLAGS=-Wall `pkg-config --cflags jack` -O3
LIBS=`pkg-config --libs jack` -lpthread -lm
#compat w/ NetBSD and GNU Make
LDADD=${LIBS}
LDLIBS=${LIBS}

all: jack-stdout jack-stdin

jack-stdout: jack-stdout.c

jack-stdin: jack-stdin.c

install: all
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 jack-stdout $(DESTDIR)$(PREFIX)/bin/
	install -m 755 jack-stdin  $(DESTDIR)$(PREFIX)/bin/
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 jack-stdout.1 $(DESTDIR)$(PREFIX)/share/man/man1/
	install -m 644 jack-stdin.1 $(DESTDIR)$(PREFIX)/share/man/man1/

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/jack-stdout
	rm -f $(DESTDIR)$(PREFIX)/bin/jack-stdin
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/jack-stdout.1
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/jack-stdin.1
	-rmdir $(DESTDIR)$(PREFIX)/bin
	-rmdir $(DESTDIR)$(PREFIX)/share/man/man1

clean:
	/bin/rm -f jack-stdout jack-stdin

.PHONY: all install uninstall clean

=== debian/changelog ===
jack-stdio (1.4-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:46:42 +0000

jack-stdio (1.4-1) unstable; urgency=low

  * New upstream release.
  * Drop patches, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 Jun 2011 12:19:38 +0200

jack-stdio (1.3+20110408.git709becb-1) unstable; urgency=low

  * Initial release (Closes: #627776).

 -- Alessio Treglia <alessio@debian.org>  Tue, 07 Jun 2011 15:23:05 +0200

=== debian/control ===
Source: jack-stdio
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libjack-dev
Homepage: http://rg42.org/oss/jackstdout/
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-multimedia/jack-stdio.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jack-stdio.git

Package: jack-stdio
Architecture: any
Depends: ${shlibs:Depends},
 jackd,
 ${misc:Depends}
Suggests: sox
Description: program to pipe audio-data from and to JACK
 jack-stdout is a small tool that writes JACK audio-sample data to
 buffered standard output. jack-stdin reads raw audio data from
 standard input and writes it to a JACK audio port.
 .
 By default jack-stdout writes 16 bit signed integer raw audio data
 (much like mpg123 -s at JACK's samplerate, but it can output
 signed/unsigned 8/16/24/32 bit integer and 32bit floating-point
 data, both big/little endian.

=== debian/watch ===
# Sources were taken from git://rg42.org/jack-stdout/

## jack-stdio 1.6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 # override e.g. `make install PREFIX=/usr`
 PREFIX ?= /usr/local
 
-CFLAGS=-Wall `pkg-config --cflags jack` -O3
+CFLAGS ?= -O3
+override CFLAGS += -Wall `pkg-config --cflags jack`
 LIBS=`pkg-config --libs jack` -lpthread -lm
 #compat w/ NetBSD and GNU Make
 LDADD=${LIBS}

=== debian/changelog ===
jack-stdio (1.6-1) unstable; urgency=medium

  * Team upload

  * New upstream version 1.6
  * Use https protocol for homepage
  * Bump Standards-Version to 4.6.2
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * Apply wrap-and-sort -ast
  * Add hardening
  * Remove wrong compression

 -- Dennis Braun <snd@debian.org>  Mon, 19 Feb 2024 21:07:50 +0100

jack-stdio (1.4-3) unstable; urgency=medium

  * Team upload

  [ Sam Q ]
  * d/watch: Change to GitHub

  [ Helmut Grohne ]
  * Fix FTCBFS by making pkg-config path overridable (Closes: #903518)

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dh arguments: --parallel

 -- Bastian Germann <bage@debian.org>  Sun, 24 Sep 2023 16:49:31 +0200

=== debian/control ===
Source: jack-stdio
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libjack-dev,
Homepage: https://rg42.org/oss/jackstdout/
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/multimedia-team/jack-stdio.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/jack-stdio

Package: jack-stdio
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 sox,
Description: program to pipe audio-data from and to JACK
 jack-stdout is a small tool that writes JACK audio-sample data to
 buffered standard output. jack-stdin reads raw audio data from
 standard input and writes it to a JACK audio port.
 .
 By default jack-stdout writes 16 bit signed integer raw audio data
 (much like mpg123 -s) at JACK's samplerate, but it can output
 signed/unsigned 8/16/24/32 bit integer and 32bit floating-point
 data, both big/little endian.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PREFIX=/usr

%:
	dh $@ -Smakefile

=== debian/watch ===
version=4
https://github.com/x42/jack-stdio/tags .*/v?(\d\S+)\.tar\.gz
